package com.imcode.forum.sql;

import com.imcode.db.handlers.ObjectFromRowFactory;
import com.imcode.forum.Id;

import java.sql.ResultSet;
import java.sql.SQLException;

class SqlThreadFactory implements ObjectFromRowFactory {

    private SqlRepository sqlRepository;

    SqlThreadFactory(SqlRepository sqlRepository) {
        this.sqlRepository = sqlRepository;
    }

    public Object createObjectFromResultSetRow(ResultSet resultSet) throws SQLException {
        Id threadId = new SqlId((Number)resultSet.getObject(1));
        return new SqlThread(threadId, sqlRepository);
    }

    public Class getClassOfCreatedObjects() {
        return SqlThread.class ;
    }
}
