package com.imcode.forum;

import java.util.Date;
import java.util.SortedSet;
import java.util.Comparator;

public interface ForumPost {

    Id getId() ;

    String getUser();

    Date getDateTime();

    String getTitle();

    String getBody();

    boolean isHidden() ;

    void hide(boolean hidden);

    void incrementViewCount() ;

    int getViewCount() ;

    Id createReply(ForumPost forumPost);

    SortedSet<ForumPost> getReplies();

}
