package com.imcode.forum.shell;

import com.imcode.forum.ForumRepository;
import com.imcode.forum.Forum;

import java.io.PrintStream;
import java.util.List;
import java.util.Iterator;

class ListForumsCommand implements ForumShellCommand {

    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        List<Forum> forums = repository.getForums();
        for ( Iterator iterator = forums.iterator(); iterator.hasNext(); ) {
            Forum forum = (Forum) iterator.next();
            out.println(forum);
        }
    }

    public String[] getParameterNames() {
        return new String[0];
    }

    public String getPurpose() {
        return "List forums" ;
    }
}
